Bug 1261494 - Fedora Server /etc/issue includes invalid URL for IPv6 addresses
Fedora Server /etc/issue includes invalid URL for IPv6 addresses
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
23
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 08:42 EDT by Stephen Gallagher
Modified: 2015-11-09 09:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 09:10:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2015-09-09 08:42:00 EDT
Description of problem:
After releasing the update for /etc/issue, I realized I'd made a typo in /etc/issue and forgotten to enclose the IPv6 version of the address in square brackets (which is required for browsers to be able to parse it). I've submitted patches[1][2] to fedora-release upstream to fix it. This BZ is to track its inclusion.

Version-Release number of selected component (if applicable):
fedora-release-23-0.17

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora Server 23 Beta TC5 or later
2. Look at the non-graphical console
3.

Actual results:
Lists (for example) https://fd00:dead:beef:55::163:9090

Expected results:
https://[fd00:dead:beef:55::163]:9090

Additional info:

This is by no means a blocker or even worthy of a Freeze Exception for Beta. I'd just like to have this typo cleared up for Final.


[1] https://pagure.io/fedora-release/pull-request/9
[2] https://pagure.io/fedora-release/pull-request/10
Comment 1 Peter Robinson 2015-11-04 07:37:48 EST
I believe this was fixed for GA? At least the ipv6 addr has [].

Fedora 23 (Server Edition)
Kernel 4.2.3-300.fc23.armv7hl+lpae on an armv7l (ttyAMA0)

Admin Console: https://127.0.0.1:9090/ or https://[fe80::5054:ff:fef5:7f3c]:9090/
Comment 2 Stephen Gallagher 2015-11-09 09:10:32 EST
Yeah, it made it into the updated fedora-release-server package. We just forgot to associate this bug with the update.

Note You need to log in before you can comment on or make changes to this bug.